dev-java/sun-jre-bin: Superseded by Oracle's JVM (bug #483018)
authorJames Le Cuirot <chewi@gentoo.org>
Thu, 14 Apr 2016 19:24:23 +0000 (20:24 +0100)
committerJames Le Cuirot <chewi@gentoo.org>
Thu, 14 Apr 2016 20:24:00 +0000 (21:24 +0100)
This should have been removed years ago.

dev-java/sun-jre-bin/Manifest [deleted file]
dev-java/sun-jre-bin/files/construct-1.6.sh [deleted file]
dev-java/sun-jre-bin/files/fontconfig.Gentoo.properties-r1 [deleted file]
dev-java/sun-jre-bin/files/sun-jre-bin-1.6.env-r1 [deleted file]
dev-java/sun-jre-bin/metadata.xml [deleted file]
dev-java/sun-jre-bin/sun-jre-bin-1.6.0.45.ebuild [deleted file]

diff --git a/dev-java/sun-jre-bin/Manifest b/dev-java/sun-jre-bin/Manifest
deleted file mode 100644 (file)
index 11340be..0000000
+++ /dev/null
@@ -1,3 +0,0 @@
-DIST jre-6u45-linux-i586.bin 21770712 SHA256 6f6155623537162e169044454856c41c4443eab65bdc71eba0b90b242ecf0030 SHA512 5454918675dd27619989fdae2fa46b0f87367deca99632c53a5d0e47010ca5c1256384ed1ebbb504bc0ea24ea605fed518969fae73f5defae26fad7081006e82 WHIRLPOOL e294c4b308516c4117ff7f9b337f652f692fe69db37e098ece4627632e7d49b949d9d37f58be4bef7a9a3949da08d3c725356e238569190d5a184c094fea002a
-DIST jre-6u45-linux-ia64.bin 22968172 SHA256 b9ba88870c64efc768099e4cec72e7c4d6fbe19608cb893c946fa21db99ea711 SHA512 87c54dedd5372980a5736e23d5ed26f03db9120166021e343d51edea0b484b7328a2e03d925302e506ad49366d29439914ec7172a3e5a27ec7c37a81cdd2abeb WHIRLPOOL e5f6394e2c7dc78b0f850bf66c78bac177288eeae27cc0ecaa2595d241a36ce516b0ac5fc57c0afc145a4b2af19666e99cf77c98069fc7fdb22fb209d6d1ae78
-DIST jre-6u45-linux-x64.bin 21381557 SHA256 7f656c723a988b2f2f71d116bb572dd01b9b38f6394fc03f349d627c487199ff SHA512 ba3a372ac660fbfd59694b941d66ca645ab5eb9eecbb651bc40522509122e65ac7ecafaf09874d7c913280afa3a0141490d55f1ffa92ec42ca56826dfa92b9fd WHIRLPOOL dbbedc7c3707d7efcbc20eebf60538099329da0fefa1e331679ccdf408c9125ea0d865c234efc74d5d3d0d0adfc8acd00ec260da29e8a44552e1133439a74345
diff --git a/dev-java/sun-jre-bin/files/construct-1.6.sh b/dev-java/sun-jre-bin/files/construct-1.6.sh
deleted file mode 100644 (file)
index a70e24b..0000000
+++ /dev/null
@@ -1,273 +0,0 @@
-#!/bin/bash
-# construct.sh
-# example construction of JRE and JDK directories from the DLJ bundles
-# 
-# Copyright © 2006 Sun Microsystems, Inc.
-# 
-# Permission is hereby granted, free of charge, to any person obtaining
-# a copy of this software and associated documentation files (the
-# "Software"), to deal in the Software without restriction, including
-# without limitation the rights to use, copy, modify, merge, publish,
-# distribute, sublicense, and/or sell copies of the Software, and to
-# permit persons to whom the Software is furnished to do so, subject to
-# the following conditions:
-# 
-# The above copyright notice and this permission notice shall be
-# included in all copies or substantial portions of the Software.
-# 
-# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
-# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
-# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
-# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
-# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
-# OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
-# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
-# 
-# Sun, Sun Microsystems, the Sun logo and Java, Java HotSpot,
-# and JVM  trademarks or registered trademarks of Sun Microsystems,
-# Inc. in the U.S. and other countries.
-
-
-program=`basename $0`
-
-usage () {
-  echo "usage: ${program} path/to/unbundle-jdk path/to/linux-jdk path/to/linux-jre"
-}
-
-getargs() {
-  undir=$1
-  jdkdir=$2
-  jredir=$3
-  if [ ! -d $undir ]; then
-    echo "${program}: unbundle directory not found: $undir"
-    exit 2
-  fi
-  # make sure javahome is the JDK
-  javahome=`echo $undir/*/demo`
-  if [ ! -d $javahome ]; then
-    echo "${program}: unbundle directory incorrect: $undir"
-    echo "  expecting $undir/jdk1.5.0_xx"
-    exit 2
-  else
-    javahome=`dirname $javahome`
-  fi
-  # verify JDK dir
-  jdkdirp=`dirname $jdkdir`
-  jdkbase=`basename $jdkdir`
-  if [ ! -d $jdkdirp ]; then
-    echo "${program}: parent directory for JDK does not exist: $jdkdirp"
-    exit 2
-  fi
-  savedir=`pwd`
-  cd $jdkdirp
-  jdkdirp=`pwd`
-  cd $savedir
-  jdkdir=$jdkdirp/$jdkbase
-  # verify JRE dir
-  jredirp=`dirname $jredir`
-  jrebase=`basename $jredir`
-  if [ ! -d $jredirp ]; then
-    echo "${program}: parent directory for JRE does not exist: $jredirp"
-    exit 2
-  fi
-  savedir=`pwd`
-  cd $jredirp
-  jredirp=`pwd`
-  cd $savedir
-  jredir=$jredirp/$jrebase
-}
-
-checkfiles() {
-  if [ -r $jdkdir ]; then
-    echo "${program}: directory for JDK already exists: $jdkdir"
-    exit 2
-  fi
-  if [ -r $jredir ]; then
-    echo "${program}: directory for JRE already exists: $jredir"
-    exit 2
-  fi
-}
-
-copytree() {
-  echo "copying over the JDK tree..."
-  cp -a $javahome $jdkdir
-}
-
-linkrel() {
-  target=$1
-  link=$2
-  # make a softlink from the $link to the $target
-  # make this a relative link
-  targetb=(`echo $target | tr '/' ' '`)
-  linkb=(`echo $link | tr '/' ' '`)
-  (( n = ${#targetb[*]} ))
-  (( m = ${#linkb[*]} ))
-  c=$n  # common length
-  if [ $m -lt $c ]; then
-    (( c = m ))
-  fi
-  for (( i = 0 ; i < c ; i++ )); do 
-    if [ ${targetb[$i]} != ${linkb[$i]} ]; then
-      # echo components differ, stopping
-      break
-    fi
-  done
-  rel=""
-  for (( j = i + 1; j < m ; j++ )); do
-    if [ -z $rel ]; then
-      rel=".."
-    else
-      rel="$rel/.."
-    fi
-  done
-  for (( j = i; j < n ; j++ )); do
-    if [ -z $rel ]; then
-      rel=${targetb[$j]}
-    else
-      rel="$rel/${targetb[$j]}"
-    fi
-  done
-  ln -s $rel $link
-}
-
-createjre() {
-  echo "creating JRE directory..."
-  # absolute link
-  # ln -s $jdkdir/jre $jredir
-  # relative link
-  linkrel $jdkdir/jre $jredir
-}
-
-unpackjars() {
-  echo "unpacking jars..."
-  unpack200=$jdkdir/bin/unpack200
-  if [ ! -x $unpack200 ]; then
-    echo "${program}: file missing $unpack200"
-    exit 1
-  fi
-  cd $jdkdir
-  PACKED_JARS=`find . -name '*.pack'`
-  for i in $PACKED_JARS; do
-    # echo $i
-    jdir=`dirname $i`
-    jbase=`basename $i .pack`
-    if ! $unpack200 $jdkdir/$jdir/$jbase.pack $jdkdir/$jdir/$jbase.jar; then
-      echo "${program}: error unpacking $jdkdir/$jdir/$jbase.jar"
-    fi
-    if [ ! -r $jdkdir/$jdir/$jbase.jar ]; then
-      echo "${program}: missing $jdkdir/$jdir/$jbase.jar"
-    else
-      echo "  $jdir/$jbase.jar"
-      # remove pack file
-      rm $jdkdir/$jdir/$jbase.pack
-    fi
-  done
-}
-
-preparecds() {
-  # if this is a client installation...
-  compiler="`$jdkdir/bin/java -client -version 2>&1 | tail -n +3 | cut -d' ' -f1-4`"
-  if [ "X$compiler" = "XJava HotSpot(TM) Client VM" ]; then
-    # create the CDS archive
-    echo "creating the class data sharing archive..."
-    if ! $jdkdir/bin/java -client -Xshare:dump > /dev/null 2>&1; then
-       echo "returned error code $?"
-    fi
-  fi
-}
-
-jreman () {
-  echo "setting up the JRE man pages..."
-  # note this list is slightly different for OpenSolaris bundles
-  jreman="${T}/jre.man.txt"
-cat <<EOF > $jreman
-man/ja_JP.eucJP/man1/java.1
-man/ja_JP.eucJP/man1/javaws.1
-man/ja_JP.eucJP/man1/keytool.1
-man/ja_JP.eucJP/man1/orbd.1
-man/ja_JP.eucJP/man1/pack200.1
-man/ja_JP.eucJP/man1/policytool.1
-man/ja_JP.eucJP/man1/rmid.1
-man/ja_JP.eucJP/man1/rmiregistry.1
-man/ja_JP.eucJP/man1/servertool.1
-man/ja_JP.eucJP/man1/tnameserv.1
-man/ja_JP.eucJP/man1/unpack200.1
-man/man1/java.1
-man/man1/javaws.1
-man/man1/keytool.1
-man/man1/orbd.1
-man/man1/pack200.1
-man/man1/policytool.1
-man/man1/rmid.1
-man/man1/rmiregistry.1
-man/man1/servertool.1
-man/man1/tnameserv.1
-man/man1/unpack200.1
-EOF
-  # create jre/man directory
-  # mkdir $jdkdir/jre/man
-  # move the real JRE man pages to jre/man
-  # link the JDK JRE man pages to jre/man
-  # real JDK man pages stay where they are
-  for m in `cat $jreman`; do
-    manpath=`dirname $jdkdir/jre/$m`
-    mkdir -p $manpath
-    mv $jdkdir/$m $jdkdir/jre/$m
-    linkrel $jdkdir/jre/$m $jdkdir/$m
-  done
-  # link in Japanese man pages
-  ln -s ja_JP.eucJP $jdkdir/jre/man/ja
-  rm $jreman
-}
-
-elimdups() {
-  echo "eliminating duplication between the JDK and JDK/jre..."
-  jdkcomm="${T}/jdk.bin.comm.txt"
-cat <<EOF > $jdkcomm
-bin/ControlPanel
-bin/java
-bin/javaws
-bin/keytool
-bin/orbd
-bin/pack200
-bin/policytool
-bin/rmid
-bin/rmiregistry
-bin/servertool
-bin/tnameserv
-bin/unpack200
-EOF
-  # note there is little point in linking these common files
-  #   COPYRIGHT
-  #   LICENSE
-  #   THIRDPARTYLICENSEREADME.txt
-  # And this file is unique to the JDK
-  #   README.html
-  # And these files are unique to the JDK/jre/
-  #   CHANGES
-  #   README
-  #   Welcome.html
-  for p in `cat $jdkcomm`; do
-    rm $jdkdir/$p
-    # this is a relative link
-    ln -s ../jre/$p $jdkdir/$p
-  done
-  rm $jdkcomm
-}
-
-if [ $# -eq 3 ] ; then
-  getargs $1 $2 $3
-  checkfiles
-  copytree
-  createjre
-  unpackjars
-  #preparecds
-  jreman
-  elimdups
-else
-  usage
-  exit 1
-fi
-
-exit 0
-
diff --git a/dev-java/sun-jre-bin/files/fontconfig.Gentoo.properties-r1 b/dev-java/sun-jre-bin/files/fontconfig.Gentoo.properties-r1
deleted file mode 100644 (file)
index 43cb5ee..0000000
+++ /dev/null
@@ -1,161 +0,0 @@
-# Version
-
-version=1
-
-# Component Font Mappings
-
-allfonts.chinese-gb18030=-misc-ming for iso10646 -medium-r-normal--*-%d-*-*-c-*-iso10646-1
-allfonts.chinese-gb18030.motif=-isas-song ti-medium-r-normal--*-%d-*-*-c-*-gb2312.1980-0
-allfonts.chinese-big5=-arphic technology co.-ar pl mingti2l big5-medium-r-normal--*-%d-*-*-c-*-iso10646-1
-allfonts.chinese-big5.motif=-taipei-fixed-medium-r-normal--*-%d-*-*-c-*-big5-0
-allfonts.lucida=-b&h-lucidasans-medium-r-normal-sans-*-%d-*-*-p-*-iso8859-1
-
-serif.plain.japanese-x0208=-misc-kochi mincho-medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0
-serif.plain.korean=-misc-baekmuk batang-medium-r-normal--*-%d-*-*-c-*-iso10646-1
-serif.plain.korean.motif=-misc-baekmuk batang-medium-r-normal--*-%d-*-*-c-*-ksc5601.1987-0
-serif.plain.latin-1=-b&h-lucidabright-medium-r-normal--*-%d-*-*-p-*-iso8859-1
-serif.plain.latin-1.motif=-b&h-luxi serif-medium-r-normal--*-%d-*-*-p-*-iso8859-1
-
-serif.bold.japanese-x0208=-misc-kochi mincho-medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0
-serif.bold.korean=-misc-baekmuk batang-medium-r-normal--*-%d-*-*-c-*-iso10646-1
-serif.bold.korean.motif=-misc-baekmuk batang-medium-r-normal--*-%d-*-*-c-*-ksc5601.1987-0
-serif.bold.latin-1=-b&h-lucidabright-demibold-r-normal--*-%d-*-*-p-*-iso8859-1
-serif.bold.latin-1.motif=-b&h-luxi serif-bold-r-normal--*-%d-*-*-p-*-iso8859-1
-
-serif.italic.japanese-x0208=-misc-kochi mincho-medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0
-serif.italic.korean=-misc-baekmuk batang-medium-r-normal--*-%d-*-*-c-*-iso10646-1
-serif.italic.korean.motif=-misc-baekmuk batang-medium-r-normal--*-%d-*-*-c-*-ksc5601.1987-0
-serif.italic.latin-1=-b&h-lucidabright-medium-i-normal--*-%d-*-*-p-*-iso8859-1
-serif.italic.latin-1.motif=-b&h-luxi serif-medium-i-normal--*-%d-*-*-p-*-iso8859-1
-
-serif.bolditalic.japanese-x0208=-misc-kochi mincho-medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0
-serif.bolditalic.korean=-misc-baekmuk batang-medium-r-normal--*-%d-*-*-c-*-iso10646-1
-serif.bolditalic.korean.motif=-misc-baekmuk batang-medium-r-normal--*-%d-*-*-c-*-ksc5601.1987-0
-serif.bolditalic.latin-1=-b&h-lucidabright-demibold-i-normal--*-%d-*-*-p-*-iso8859-1
-serif.bolditalic.latin-1.motif=-b&h-luxi serif-bold-i-normal--*-%d-*-*-p-*-iso8859-1
-
-sansserif.plain.japanese-x0208=-misc-kochi gothic-medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0
-sansserif.plain.korean=-misc-baekmuk gulim-medium-r-normal--*-%d-*-*-c-*-iso10646-1
-sansserif.plain.korean.motif=-misc-baekmuk gulim-medium-r-normal--*-%d-*-*-c-*-ksc5601.1987-0
-sansserif.plain.latin-1=-b&h-lucidasans-medium-r-normal-sans-*-%d-*-*-p-*-iso8859-1
-sansserif.plain.latin-1.motif=-b&h-luxi sans-medium-r-normal--*-%d-*-*-p-*-iso8859-1
-
-sansserif.bold.japanese-x0208=-misc-kochi gothic-medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0
-sansserif.bold.korean=-misc-baekmuk gulim-medium-r-normal--*-%d-*-*-c-*-iso10646-1
-sansserif.bold.korean.motif=-misc-baekmuk gulim-medium-r-normal--*-%d-*-*-c-*-ksc5601.1987-0
-sansserif.bold.latin-1=-b&h-lucidasans-bold-r-normal-sans-*-%d-*-*-p-*-iso8859-1
-sansserif.bold.latin-1.motif=-b&h-luxi sans-bold-r-normal--*-%d-*-*-p-*-iso8859-1
-
-sansserif.italic.japanese-x0208=-misc-kochi gothic-medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0
-sansserif.italic.korean=-misc-baekmuk gulim-medium-r-normal--*-%d-*-*-c-*-iso10646-1
-sansserif.italic.korean.motif=-misc-baekmuk gulim-medium-r-normal--*-%d-*-*-c-*-ksc5601.1987-0
-sansserif.italic.latin-1=-b&h-lucidasans-medium-i-normal-sans-*-%d-*-*-p-*-iso8859-1
-sansserif.italic.latin-1.motif=-b&h-luxi sans-medium-i-normal--*-%d-*-*-p-*-iso8859-1
-
-sansserif.bolditalic.japanese-x0208=-misc-kochi gothic-medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0
-sansserif.bolditalic.korean=-misc-baekmuk gulim-medium-r-normal--*-%d-*-*-c-*-iso10646-1
-sansserif.bolditalic.korean.motif=-misc-baekmuk gulim-medium-r-normal--*-%d-*-*-c-*-ksc5601.1987-0
-sansserif.bolditalic.latin-1=-b&h-lucidasans-bold-i-normal-sans-*-%d-*-*-p-*-iso8859-1
-sansserif.bolditalic.latin-1.motif=-b&h-luxi sans-bold-i-normal--*-%d-*-*-p-*-iso8859-1
-
-monospaced.plain.japanese-x0208=-misc-kochi mincho-medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0
-monospaced.plain.korean=-misc-baekmuk batang-medium-r-normal--*-%d-*-*-c-*-iso10646-1
-monospaced.plain.korean.motif=-misc-baekmuk batang-medium-r-normal--*-%d-*-*-c-*-ksc5601.1987-0
-monospaced.plain.latin-1=-b&h-lucidatypewriter-medium-r-normal-sans-*-%d-*-*-m-*-iso8859-1
-monospaced.plain.latin-1.motif=-b&h-luxi mono-medium-r-normal--*-%d-*-*-m-*-iso8859-1
-
-monospaced.bold.japanese-x0208=-misc-kochi mincho-medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0
-monospaced.bold.korean=-misc-baekmuk batang-medium-r-normal--*-%d-*-*-c-*-iso10646-1
-monospaced.bold.korean.motif=-misc-baekmuk batang-medium-r-normal--*-%d-*-*-c-*-ksc5601.1987-0
-monospaced.bold.latin-1=-b&h-lucidatypewriter-bold-r-normal-sans-*-%d-*-*-m-*-iso8859-1
-monospaced.bold.latin-1.motif=-b&h-luxi mono-bold-r-normal--*-%d-*-*-m-*-iso8859-1
-
-monospaced.italic.japanese-x0208=-misc-kochi mincho-medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0
-monospaced.italic.korean=-misc-baekmuk batang-medium-r-normal--*-%d-*-*-c-*-iso10646-1
-monospaced.italic.korean.motif=-misc-baekmuk batang-medium-r-normal--*-%d-*-*-c-*-ksc5601.1987-0
-monospaced.italic.latin-1=-b&h-lucidatypewriter-medium-i-normal-sans-*-%d-*-*-m-*-iso8859-1
-monospaced.italic.latin-1.motif=-b&h-luxi mono-medium-i-normal--*-%d-*-*-m-*-iso8859-1
-
-monospaced.bolditalic.japanese-x0208=-misc-kochi mincho-medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0
-monospaced.bolditalic.korean=-misc-baekmuk batang-medium-r-normal--*-%d-*-*-c-*-iso10646-1
-monospaced.bolditalic.korean.motif=-misc-baekmuk batang-medium-r-normal--*-%d-*-*-c-*-ksc5601.1987-0
-monospaced.bolditalic.latin-1=-b&h-lucidatypewriter-bold-i-normal-sans-*-%d-*-*-m-*-iso8859-1
-monospaced.bolditalic.latin-1.motif=-b&h-luxi mono-bold-i-normal--*-%d-*-*-m-*-iso8859-1
-
-dialog.plain.japanese-x0208=-misc-kochi gothic-medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0
-dialog.plain.korean=-misc-baekmuk gulim-medium-r-normal--*-%d-*-*-c-*-iso10646-1
-dialog.plain.korean.motif=-misc-baekmuk gulim-medium-r-normal--*-%d-*-*-c-*-ksc5601.1987-0
-dialog.plain.latin-1=-b&h-lucidasans-medium-r-normal-sans-*-%d-*-*-p-*-iso8859-1
-dialog.plain.latin-1.motif=-b&h-luxi sans-medium-r-normal--*-%d-*-*-p-*-iso8859-1
-
-dialog.bold.japanese-x0208=-misc-kochi gothic-medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0
-dialog.bold.korean=-misc-baekmuk gulim-medium-r-normal--*-%d-*-*-c-*-iso10646-1
-dialog.bold.korean.motif=-misc-baekmuk gulim-medium-r-normal--*-%d-*-*-c-*-ksc5601.1987-0
-dialog.bold.latin-1=-b&h-lucidasans-bold-r-normal-sans-*-%d-*-*-p-*-iso8859-1
-dialog.bold.latin-1.motif=-b&h-luxi sans-bold-r-normal--*-%d-*-*-p-*-iso8859-1
-
-dialog.italic.japanese-x0208=-misc-kochi gothic-medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0
-dialog.italic.korean=-misc-baekmuk gulim-medium-r-normal--*-%d-*-*-c-*-iso10646-1
-dialog.italic.korean.motif=-misc-baekmuk gulim-medium-r-normal--*-%d-*-*-c-*-ksc5601.1987-0
-dialog.italic.latin-1=-b&h-lucidasans-medium-i-normal-sans-*-%d-*-*-p-*-iso8859-1
-dialog.italic.latin-1.motif=-b&h-luxi sans-medium-i-normal--*-%d-*-*-p-*-iso8859-1
-
-dialog.bolditalic.japanese-x0208=-misc-kochi gothic-medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0
-dialog.bolditalic.korean=-misc-baekmuk gulim-medium-r-normal--*-%d-*-*-c-*-iso10646-1
-dialog.bolditalic.korean.motif=-misc-baekmuk gulim-medium-r-normal--*-%d-*-*-c-*-ksc5601.1987-0
-dialog.bolditalic.latin-1=-b&h-lucidasans-bold-i-normal-sans-*-%d-*-*-p-*-iso8859-1
-dialog.bolditalic.latin-1.motif=-b&h-luxi sans-bold-i-normal--*-%d-*-*-p-*-iso8859-1
-
-dialoginput.plain.japanese-x0208=-misc-kochi mincho-medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0
-dialoginput.plain.korean=-misc-baekmuk batang-medium-r-normal--*-%d-*-*-c-*-iso10646-1
-dialoginput.plain.korean.motif=-misc-baekmuk batang-medium-r-normal--*-%d-*-*-c-*-ksc5601.1987-0
-dialoginput.plain.latin-1=-b&h-lucidatypewriter-medium-r-normal-sans-*-%d-*-*-m-*-iso8859-1
-dialoginput.plain.latin-1.motif=-b&h-luxi mono-medium-r-normal--*-%d-*-*-m-*-iso8859-1
-
-dialoginput.bold.japanese-x0208=-misc-kochi mincho-medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0
-dialoginput.bold.korean=-misc-baekmuk batang-medium-r-normal--*-%d-*-*-c-*-iso10646-1
-dialoginput.bold.korean.motif=-misc-baekmuk batang-medium-r-normal--*-%d-*-*-c-*-ksc5601.1987-0
-dialoginput.bold.latin-1=-b&h-lucidatypewriter-bold-r-normal-sans-*-%d-*-*-m-*-iso8859-1
-dialoginput.bold.latin-1.motif=-b&h-luxi mono-bold-r-normal--*-%d-*-*-m-*-iso8859-1
-
-dialoginput.italic.japanese-x0208=-misc-kochi mincho-medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0
-dialoginput.italic.korean=-misc-baekmuk batang-medium-r-normal--*-%d-*-*-c-*-iso10646-1
-dialoginput.italic.korean.motif=-misc-baekmuk batang-medium-r-normal--*-%d-*-*-c-*-ksc5601.1987-0
-dialoginput.italic.latin-1=-b&h-lucidatypewriter-medium-i-normal-sans-*-%d-*-*-m-*-iso8859-1
-dialoginput.italic.latin-1.motif=-b&h-luxi mono-medium-i-normal--*-%d-*-*-m-*-iso8859-1
-
-dialoginput.bolditalic.japanese-x0208=-misc-kochi mincho-medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0
-dialoginput.bolditalic.korean=-misc-baekmuk batang-medium-r-normal--*-%d-*-*-c-*-iso10646-1
-dialoginput.bolditalic.korean.motif=-misc-baekmuk batang-medium-r-normal--*-%d-*-*-c-*-ksc5601.1987-0
-dialoginput.bolditalic.latin-1=-b&h-lucidatypewriter-bold-i-normal-sans-*-%d-*-*-m-*-iso8859-1
-dialoginput.bolditalic.latin-1.motif=-b&h-luxi mono-bold-i-normal--*-%d-*-*-m-*-iso8859-1
-
-# Search Sequences
-
-sequence.allfonts=latin-1
-sequence.allfonts.Big5=latin-1,chinese-big5
-sequence.allfonts.GB2312=latin-1,chinese-gb18030
-sequence.allfonts.x-euc-jp-linux=latin-1,japanese-x0208
-sequence.allfonts.EUC-KR=latin-1,korean
-sequence.allfonts.GB18030=latin-1,chinese-gb18030
-sequence.fallback=lucida,chinese-big5,chinese-gb18030,japanese-x0208,korean
-
-# Exclusion Ranges
-
-exclusion.japanese-x0208=0390-03d6,2200-22ef,2701-27be
-
-# Font File Names
-
-filename.-arphic_technology_co.-ar_pl_mingti2l_big5-medium-r-normal--*-%d-*-*-c-*-iso10646-1=@GENTOO_PORTAGE_EPREFIX@/usr/share/fonts/arphicfonts/bsmi00lp.ttf
-filename.-misc-baekmuk_batang-medium-r-normal--*-%d-*-*-c-*-iso10646-1=@GENTOO_PORTAGE_EPREFIX@/usr/share/fonts/baekmuk-fonts/batang.ttf
-filename.-misc-baekmuk_gulim-medium-r-normal--*-%d-*-*-c-*-iso10646-1=@GENTOO_PORTAGE_EPREFIX@/usr/share/fonts/baekmuk-fonts/gulim.ttf
-filename.-misc-kochi_gothic-medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0=@GENTOO_PORTAGE_EPREFIX@/usr/share/fonts/kochi-substitute/kochi-gothic-subst.ttf
-filename.-misc-kochi_mincho-medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0=@GENTOO_PORTAGE_EPREFIX@/usr/share/fonts/kochi-substitute/kochi-mincho-subst.ttf
-filename.-misc-ming for iso10646 -medium-r-normal--*-%d-*-*-c-*-iso10646-1=@GENTOO_PORTAGE_EPREFIX@/usr/share/fonts/hkscs-ming/min_uni.ttf
-
-# AWT X11 font paths
-awtfontpath.latin-1=@GENTOO_PORTAGE_EPREFIX@/usr/share/fonts/Type1
-awtfontpath.chinese-big5=@GENTOO_PORTAGE_EPREFIX@/usr/share/fonts/arphicfonts
-awtfontpath.chinese-gb18030=@GENTOO_PORTAGE_EPREFIX@/usr/share/fonts/arphicfonts
-awtfontpath.japanese-x0208=@GENTOO_PORTAGE_EPREFIX@/usr/share/fonts/kochi-substitute
-awtfontpath.korean=@GENTOO_PORTAGE_EPREFIX@/usr/share/fonts/baekmuk-fonts
diff --git a/dev-java/sun-jre-bin/files/sun-jre-bin-1.6.env-r1 b/dev-java/sun-jre-bin/files/sun-jre-bin-1.6.env-r1
deleted file mode 100644 (file)
index 19ab582..0000000
+++ /dev/null
@@ -1,17 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-VERSION="Sun JRE @PV@"
-JAVA_HOME="@GENTOO_PORTAGE_EPREFIX@/opt/@P@"
-JDK_HOME="@GENTOO_PORTAGE_EPREFIX@/opt/@P@"
-PATH="${JAVA_HOME}/bin:${JAVA_HOME}/javaws"
-ROOTPATH="${JAVA_HOME}/bin:${JAVA_HOME}/javaws"
-LDPATH="${JAVA_HOME}/lib/@PLATFORM@/:${JAVA_HOME}/lib/@PLATFORM@/native_threads/:${JAVA_HOME}/lib/@PLATFORM@/xawt/:${JAVA_HOME}/lib/@PLATFORM@/server/"
-MANPATH="@GENTOO_PORTAGE_EPREFIX@/opt/@P@/man"
-PROVIDES_TYPE="JRE"
-PROVIDES_VERSION="1.6"
-# Taken from sun.boot.class.path property
-BOOTCLASSPATH="${JAVA_HOME}/jre/lib/resources.jar:${JAVA_HOME}/jre/lib/rt.jar:${JAVA_HOME}/jre/lib/jsse.jar:${JAVA_HOME}/jre/lib/jce.jar:${JAVA_HOME}/jre/lib/charsets.jar"
-GENERATION="2"
-ENV_VARS="JAVA_HOME JRE_HOME PATH ROOTPATH LDPATH MANPATH"
diff --git a/dev-java/sun-jre-bin/metadata.xml b/dev-java/sun-jre-bin/metadata.xml
deleted file mode 100644 (file)
index b720065..0000000
+++ /dev/null
@@ -1,13 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-  <maintainer type="project">
-    <email>java@gentoo.org</email>
-    <name>Java</name>
-  </maintainer>
-  <longdescription>Sun Java Resource Package, also known as J2SE</longdescription>
-  <use>
-    <flag name="jce">Enable Java Cryptographic Extension Unlimited Strength Policy files</flag>
-    <flag name="pax_kernel">Use paxctl to mark the JVM binaries.</flag>
-  </use>
-</pkgmetadata>
diff --git a/dev-java/sun-jre-bin/sun-jre-bin-1.6.0.45.ebuild b/dev-java/sun-jre-bin/sun-jre-bin-1.6.0.45.ebuild
deleted file mode 100644 (file)
index b07a2b6..0000000
+++ /dev/null
@@ -1,170 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="5"
-
-inherit java-vm-2 eutils prefix versionator
-
-# This URIs need to be updated when bumping!
-JRE_URI="http://www.oracle.com/technetwork/java/javase/downloads/jre6downloads-1902815.html"
-
-MY_PV="$(get_version_component_range 2)u$(get_version_component_range 4)"
-S_PV="$(replace_version_separator 3 '_')"
-
-X86_AT="jre-${MY_PV}-linux-i586.bin"
-AMD64_AT="jre-${MY_PV}-linux-x64.bin"
-IA64_AT="jre-${MY_PV}-linux-ia64.bin"
-
-DESCRIPTION="Oracle's Java SE Runtime Environment"
-HOMEPAGE="http://www.oracle.com/technetwork/java/javase/"
-SRC_URI="
-       amd64? ( ${AMD64_AT} )
-       ia64? ( ${IA64_AT} )
-       x86? ( ${X86_AT} )"
-
-LICENSE="Oracle-BCLA-JavaSE"
-SLOT="1.6"
-KEYWORDS="amd64 x86"
-IUSE="X alsa jce nsplugin pax_kernel selinux"
-
-RESTRICT="fetch strip"
-QA_PREBUILT="*"
-
-RDEPEND="
-       X? (
-               x11-libs/libXext
-               x11-libs/libXi
-               x11-libs/libXrender
-               x11-libs/libXtst
-               x11-libs/libX11
-       )
-       alsa? ( media-libs/alsa-lib )
-       jce? ( dev-java/sun-jce-bin:1.6 )
-       !prefix? ( sys-libs/glibc )
-       selinux? ( sec-policy/selinux-java )"
-# scanelf won't create a PaX header, so depend on paxctl to avoid fallback
-# marking. #427642
-DEPEND="
-       pax_kernel? ( sys-apps/paxctl )
-       selinux? ( sec-policy/selinux-java )"
-
-S="${WORKDIR}/jre${S_PV}"
-
-pkg_nofetch() {
-       if use x86; then
-               AT=${X86_AT}
-       elif use amd64; then
-               AT=${AMD64_AT}
-       elif use ia64; then
-               AT=${IA64_AT}
-       fi
-
-       einfo "Due to Oracle no longer providing the distro-friendly DLJ bundles, the package"
-       einfo "has become fetch restricted again. Alternatives are switching to"
-       einfo "dev-java/icedtea-bin:6 or the source-based dev-java/icedtea:6"
-       einfo ""
-       einfo "Please download '${AT}' from:"
-       einfo "'${JRE_URI}'"
-       einfo "and move it to '${DISTDIR}'"
-}
-
-src_unpack() {
-       sh "${DISTDIR}"/${A} -noregister || die "Failed to unpack"
-}
-
-src_compile() {
-       # This needs to be done before CDS - #215225
-       java-vm_set-pax-markings "${S}"
-
-       # see bug #207282
-       einfo "Creating the Class Data Sharing archives"
-       case ${ARCH} in
-               ia64)
-                       bin/java -client -Xshare:dump || die
-                       ;;
-               x86)
-                       bin/java -client -Xshare:dump || die
-                       # limit heap size for large memory on x86 #405239
-                       # this is a workaround and shouldn't be needed.
-                       bin/java -server -Xmx64m -Xshare:dump || die
-                       ;;
-               *)
-                       bin/java -server -Xshare:dump || die
-                       ;;
-       esac
-}
-
-src_install() {
-       local dest="/opt/${P}"
-       local ddest="${ED}${dest}"
-
-       # We should not need the ancient plugin for Firefox 2 anymore, plus it has
-       # writable executable segments
-       if use x86; then
-               rm -vf lib/i386/libjavaplugin_oji.so \
-                       lib/i386/libjavaplugin_nscp*.so
-               rm -vrf plugin/i386
-       fi
-       # Without nsplugin flag, also remove the new plugin
-       local arch=${ARCH};
-       use x86 && arch=i386;
-       if ! use nsplugin; then
-               rm -vf lib/${arch}/libnpjp2.so \
-                       lib/${arch}/libjavaplugin_jni.so
-       fi
-
-       dodir "${dest}"
-       cp -pPR bin lib man "${ddest}" || die
-
-       # Remove empty dirs we might have copied
-       find "${D}" -type d -empty -exec rmdir {} + || die
-
-       dodoc COPYRIGHT README
-
-       if use jce; then
-               dodir "${dest}"/lib/security/strong-jce
-               mv "${ddest}"/lib/security/US_export_policy.jar \
-                       "${ddest}"/lib/security/strong-jce || die
-               mv "${ddest}"/lib/security/local_policy.jar \
-                       "${ddest}"/lib/security/strong-jce || die
-               dosym /opt/sun-jce-bin-1.6.0/jre/lib/security/unlimited-jce/US_export_policy.jar \
-                       "${dest}"/lib/security/US_export_policy.jar
-               dosym /opt/sun-jce-bin-1.6.0/jre/lib/security/unlimited-jce/local_policy.jar \
-                       "${dest}"/lib/security/local_policy.jar
-       fi
-
-       if use nsplugin; then
-               install_mozilla_plugin "${dest}"/lib/${arch}/libnpjp2.so
-       fi
-
-       # Install desktop file for the Java Control Panel.
-       # Using ${PN}-${SLOT} to prevent file collision with jre and or other slots.
-       # make_desktop_entry can't be used as ${P} would end up in filename.
-       newicon lib/desktop/icons/hicolor/48x48/apps/sun-jcontrol.png \
-               sun-jcontrol-${PN}-${SLOT}.png || die
-       sed -e "s#Name=.*#Name=Java Control Panel for Oracle JDK ${SLOT} (${PN})#" \
-               -e "s#Exec=.*#Exec=${dest}/bin/jcontrol#" \
-               -e "s#Icon=.*#Icon=sun-jcontrol-${PN}-${SLOT}#" \
-               -e "s#Application;##" \
-               -e "/Encoding/d" \
-               lib/desktop/applications/sun_java.desktop > \
-               "${T}"/jcontrol-${PN}-${SLOT}.desktop || die
-       domenu "${T}"/jcontrol-${PN}-${SLOT}.desktop
-
-       # http://docs.oracle.com/javase/6/docs/technotes/guides/intl/fontconfig.html
-       rm "${ddest}"/lib/fontconfig.* || die
-       cp "${FILESDIR}"/fontconfig.Gentoo.properties-r1 "${T}"/fontconfig.properties || die
-       eprefixify "${T}"/fontconfig.properties
-       insinto "${dest}"/lib/
-       doins "${T}"/fontconfig.properties
-
-       set_java_env "${FILESDIR}/${VMHANDLE}.env-r1"
-       java-vm_revdep-mask
-}
-
-pkg_postinst() {
-       java-vm-2_pkg_postinst
-
-       elog "If you want Oracles JRE 7 'emerge oracle-jre-bin' instead."
-}